Name:                morfologik-stemming
Version:             2.0.1
Release:             1
Summary:             Morfologik stemming library
License:             BSD
URL:                 https://github.com/morfologik/morfologik-stemming
Source0:             https://github.com/morfologik/morfologik-stemming/archive/%{version}.tar.gz
BuildRequires:       maven-local mvn(com.beust:jcommander) mvn(com.carrotsearch:hppc)
BuildRequires:       mvn(com.google.guava:guava) mvn(commons-cli:commons-cli)
BuildRequires:       mvn(commons-lang:commons-lang)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.sonatype.oss:oss-parent:pom:)
%if 0
# test deps
BuildRequires:       mvn(com.carrotsearch:junit-benchmarks) mvn(org.hamcrest:hamcrest-core)
BuildRequires:       mvn(junit:junit) mvn(org.easytesting:fest-assert-core:2.0M10)
%endif
BuildArch:           noarch

%description
Morfologik provides high quality lemmatisation for the Polish language,
along with tools for building and using byte-based finite state automata.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete
chmod 644 README.txt
for file in CHANGES.txt CONTRIBUTING.txt README.txt LICENSE.txt; do
 sed -i.orig 's|\r||g' $file
 touch -r $file.orig $file
 rm $file.orig
done
%pom_add_dep org.hamcrest:hamcrest-core::test morfologik-tools
%pom_remove_plugin com.carrotsearch.randomizedtesting:junit4-maven-plugin
%pom_remove_plugin de.thetaphi:forbiddenapis
%pom_remove_plugin :maven-javadoc-plugin
%pom_xpath_set pom:addClasspath false morfologik-tools
%pom_remove_plugin :maven-assembly-plugin morfologik-tools
%pom_change_dep :morfologik-polish ::'${project.version}' morfologik-speller

%build
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.txt CONTRIBUTING.txt README.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jul 29 2020 leiju <leiju4@huawei.com> - 2.0.1-1
- Package init
